/* style.css */
body {
    font-family: 'Arial', sans-serif;
    text-align: center;
    background-image: url('images/zozio.png');
    background-size: 50px 50px; /* Ajustez la taille de l'image de fond */
    background-repeat: repeat;
    color: #333;
    margin: 0;
    padding: 0;
}

.container {
    background-color: rgba(195, 195, 195, 0.8); /* Fond blanc avec transparence */
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    padding: 20px;
    text-align: center;
    margin-top: 200px; 
}

h1 {
    color: #2c3e50;
    margin-top: 20px;
    font-size: 2.5em;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.1);
}

#historique {
    margin-top: 10px;
    background-color: #fff;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    padding: 20px;
    padding-top: 1px;
    margin: 20px auto;
    width: 80%;
}

#historique-tableau {
    width: 100%;
    border-collapse: collapse;
}

#historique-tableau th, #historique-tableau td {
    border: 1px solid #ddd;
    padding: 12px;
    text-align: center;
    position: relative;
    transform-style: preserve-3d;
    transition: transform 0.6s;
    transform-origin: 50% 50% -20px;
}

#historique-tableau th {
    background-color: #3498db;
    color: #fff;
    font-weight: bold;
}

.valid-cell {
    background-color: #d4edda;
}

.semivalid-cell {
    background-color: #fff3cd;
}

.invalid-cell {
    background-color: #f8d7da;
}

.erreur-message {
    color: #e74c3c;
    margin-top: 10px;
    font-weight: bold;
}

input[type="text"] {
    padding: 10px;
    margin: 10px;
    border: 1px solid #ddd;
    border-radius: 4px;
    width: 200px;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
}

button {
    padding: 10px 20px;
    background-color: #3498db;
    color: #fff;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    transition: background-color 0.3s, transform 0.3s;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
}

button:hover {
    background-color: #2980b9;
    transform: scale(1.05);
}

#submit {
    background-color: #2ecc71;
}

#submit:hover {
    background-color: #27ae60;
}

/* Animation styles */
.hidden {
    transform: rotateX(90deg);
}

.flip-in {
    transform: rotateX(0deg);
}

/* Additional styles for better appearance */
.container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 20px;
    margin-top: 20px;
}

.header {
    background-color: #3498db;
    color: #fff;
    padding: 20px;
    border-radius: 8px;
    margin-bottom: 20px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.footer {
    background-color: #3498db;
    color: #fff;
    padding: 10px;
    border-radius: 8px;
    margin-top: 20px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.input-group {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 20px 0;
}

.input-group input {
    margin-right: 10px;
}
